org.mariadb.jdbc.internal.packet.send

## Class SendChangeDbPacket

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.send.SendChangeDbPacket

All Implemented Interfaces:
  InterfaceSendPacket

    public class SendChangeDbPacket
    extends Object
    implements InterfaceSendPacket

### Constructor Summary

Constructors
Constructor and Description
`SendChangeDbPacket(String database)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `send(OutputStream outputStream)` Change Database.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SendChangeDbPacket

    public SendChangeDbPacket(String database)

### Method Detail

#### send

    public int send(OutputStream outputStream)
             throws IOException

Change Database.

Specified by:
  `send` in interface `InterfaceSendPacket`
Parameters:
  `outputStream` - Write outputStream
Returns:
  0
Throws:
  `IOException` - if connection problem occur